<?php
/**
 * Gestion des autorisations du plugin N-Core liées à l'utilisation des API.
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Fonction appelée par le pipeline
 *
 * @pipeline autoriser
 */
function ncore_autoriser() {}


/**
 * Autorisation d'édition d'une noisette déjà ajoutée dans un conteneur.
 * Il faut :
 * - que la noisette existe bien.
 *
 * @package SPIP\NCORE\NOISETTE\AUTORISATION
 *
 * @uses noisette_lire()
 *
 * @param  string $faire   Action demandée: l'édition (editer)
 * @param  string $type    Type d'objet sur lequel appliquer l'action : une noisette
 * @param  int    $id      Identifiant de la noisette.
 * @param  array  $qui     Description de l'auteur demandant l'autorisation ou tableau vide.
 * @param  array  $options Options de cette autorisation : non utilisé
 *
 * @return bool `true` si autorisé, `false` sinon.
 */
function autoriser_noisette_editer_dist($faire, $type, $id, $qui, $options) {
	$autoriser = false;

	if ($id) {
		// On lit le conteneur de la noisette
		include_spip('inc/ncore_noisette');
		$id_conteneur = noisette_lire('noizetier', $id, 'id_conteneur');

		if ($id_conteneur) {
			$autoriser = true;
		}
	}

	return $autoriser;
}
